> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detail



## OpenAPI

````yaml get /tenant/public
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /tenant/public:
    get:
      tags:
        - tenant
        - public
      summary: Detail
      operationId: detail_tenant_public_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTenant'
components:
  schemas:
    PublicTenant:
      properties:
        name:
          type: string
          title: Name
        subDomain:
          type: string
          title: Subdomain
        homePage:
          type: string
          title: Homepage
        phoneNumber:
          type: string
          title: Phonenumber
        logoUrl:
          type: string
          title: Logourl
        manualInvoiceText:
          type: string
          title: Manualinvoicetext
        slogan:
          anyOf:
            - type: string
            - type: 'null'
          title: Slogan
        providerDeactivatedPages:
          items:
            type: string
          type: array
          title: Providerdeactivatedpages
          default: []
        patientDeactivatedPages:
          items:
            type: string
          type: array
          title: Patientdeactivatedpages
          default: []
        enabledModules:
          items:
            $ref: '#/components/schemas/Module'
          type: array
          title: Enabledmodules
          default: []
        hidePatientPaymentPlans:
          type: boolean
          title: Hidepatientpaymentplans
          default: false
        passFeeToPatient:
          type: boolean
          title: Passfeetopatient
        requiredPatientFields:
          items:
            type: string
          type: array
          title: Requiredpatientfields
          default: []
        selfSchedulingRedirectUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Selfschedulingredirecturl
        allowMultipleBookingsForDifferentAppointments:
          type: boolean
          title: Allowmultiplebookingsfordifferentappointments
          default: false
        allowMultipleSelfScheduleAppointments:
          type: boolean
          title: Allowmultipleselfscheduleappointments
          default: false
        receiptLogoUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Receiptlogourl
        googleTagManagerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Googletagmanagerid
      type: object
      required:
        - name
        - subDomain
        - homePage
        - phoneNumber
        - logoUrl
        - manualInvoiceText
        - passFeeToPatient
      title: PublicTenant
      description: A publically exposable Tenant
    Module:
      type: string
      enum:
        - TEXTING
        - CALLING
        - PAYMENTS
        - SCRIBE
        - SCHEDULING
        - FORMS
        - INVENTORY
        - LOCATIONS
        - CALENDAR_PATIENT_STATUS
        - SPAKINECT
        - SCRIBE_MEDICAL_CODES
      title: Module

````